Developer Hub
Request Demo
Request Demo
Support
  1. Entities
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API
    • Business Owners
      • Bulk Business Owners Download API
      • Bulk Business Owners Upload API
    • Configuration
      • Bulk Entity Finding Rules Download API
      • Bulk Custom Insights (Entity Rules) Download API
      • Bulk Filters Download API
      • Bulk Findings Download API
      • Get Branding Information
    • Employees
      • Bulk Employees Download API
      • Bulk Employees Upload API
    • Entitlements
      • Bulk Entitlements Download API
      • Bulk Entitlements Upload API
    • Entities
      • Bulk Entities Download API
        POST
      • Bulk Entities Upload API
        POST
      • Bulk Entities + Entity-Relations Zip Upload API
        POST
    • EntityInsights
      • Bulk Entity Insights Download API
    • EntityRelations
      • Bulk Entity Relations Download API
      • Bulk Entity Relations Upload API
    • EntityRBAC
      • Bulk Entity RBAC Download API
    • Integrations
      • Bulk Integrations Download API
    • Purposes
      • Bulk Purposes Download API
    • Relations
      • Bulk Relations Upload API
    • Requests
      • Bulk Requests Download API
    • Reviews
      • Bulk Reviews Download API
  • Relations
    • Bulk Employee Relations Upload API
      POST
    • Bulk Employee Relations Download API
      POST
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • EmployeeRelationsDownloadURLRequest
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. Entities

Bulk Entities Download API

POST
https://balkanid.app/api/rest/v0/entities/download-url

BalkanID Entities Download CSV Format#

In this section, we will explain the BalkanID Entities CSV format.

Sample CSV#

BRN*Timestamp*App*Integration*Name*Entity Type*Source System*Source ID*Source Type*Metadata VersionMetadata
brn:bid:balkanid:::01HWBCYJA11R3AA48K5V0DVM00:identity:04giq7jlHzhHyZ-cOvAn4Fn2dNc3bjqZrK4ufzx19Q02024-04-27 06:33:31 +0000 UTCawsAaron Ellisidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aaron.ellis@itadminbalkan.onmicrosoft.com","lastPasswordChange":"2023-12-14 04:39:56 +0000 UTC","userCreatedDateTime":"2023-12-14 04:39:56 +0000 UTC","jobTitle":"Media Consultant","department":"Media and Pulic Relations"}
brn:bid:balkanid:::01HWBCYJA11R3AA48K5V0DVM00:identity:04giq7jlHzhHyZ-cOvAn4Fn2dNc3bjqZrK4ufzx19Q02024-04-27 06:33:31 +0000 UTCawsAaron Comptonidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aaron.compton@adminbalkan.onmicrosoft.com","lastPasswordChange":"2023-12-14 05:01:10 +0000 UTC","userCreatedDateTime":"2023-12-14 05:01:10 +0000 UTC","jobTitle":"Accountant","department":"Finance"}
brn:bid:balkanid:::01HWBCYJA11R3AA48K5V0DVM00:identity:04giq7jlHzhHyZ-cOvAn4Fn2dNc3bjqZrK4ufzx19Q02024-04-27 06:33:31 +0000 UTCawsAabbott Reeseidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aabbott.reese@balkanit.onmicrosoft.com","lastPasswordChange":"2023-12-14 04:42:12 +0000 UTC","userCreatedDateTime":"2023-12-14 04:42:12 +0000 UTC","jobTitle":"Software Engineer","department":"Engineering"}
brn:bid:balkanid:::01HWBCYJA11R3AA48K5V0DVM00:identity:04giq7jlHzhHyZ-cOvAn4Fn2dNc3bjqZrK4ufzx19Q02024-04-27 06:33:31 +0000 UTCawsAaron Alvaradoidentityazure63c16f61-d355-420b-87c6-615785ad8053userv1{"username":"aaron.alvarado@itadminbalkan.onmicrosoft.com","lastPasswordChange":"2023-12-14 05:02:01 +0000 UTC","userCreatedDateTime":"2023-12-14 05:02:01 +0000 UTC","jobTitle":"Analyst","department":"Operations"}
Columns with * are required always.
Column Definitions#
Column NameColumn Description
BRNRequired - Balkan Resource Name
TimestampRequired - Timestamp of the entity
AppApplication the Entity is associated with
IntegrationRequired - Integration ID the entity is assoicated with
NameRequired - Name of the entity
Entity TypeRequired - The type of the entity
Source SystemRequired - Source System of the entity
Source IDRequired - ID of the source system
Source TypeRequired - Type of the source system
Metadata VersionVersion of the metadata, according to the metadata schema
MetadataMetadata for the entity
"Name", "Entity Type", "Source System", "Source ID", "Source Type" and required columns. If metadata is present, metadata version has to be specified.

Download the CSV file via the pre-signed URL#

After retrieving the pre-signed URL in the previous step, all that remains is to download the CSV in BalkanID Entities CSV format from the pre-signed URL.
To use the polling URL, first send an HTTP request with the method HEAD to the pollingUrl.
If the response status code is 404, the file is not ready, and you should retry this polling request after a delay.
If the response status code is 200, the file is ready, and you may proceed to download the CSV from the received url.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
API Key
Add parameter in header
X-API-KEY-SECRET
Example:
X-API-KEY-SECRET: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "integrationID": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://balkanid.app/api/rest/v0/entities/download-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'X-API-KEY-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "integrationID": "string"
}'

Responses

🟢200OK
application/json
download url response
Bodyapplication/json

Example
{
    "url": "string",
    "pollingUrl": "string"
}
⚪defaultServer Error
Modified at 2026-11-06 13:38:07
Previous
Bulk Entitlements Upload API
Next
Bulk Entities Upload API
Built with